	var whitespace = " \t\n\r";
	function isEmpty(s)
	{
		var i;
		if((s == null) || (s.length == 0))
			return true;
		// Search for non-blank characters
		for (i = 0; i < s.length; i++)
			{
			var c = s.charAt (i);
			if (whitespace.indexOf(c) == -i)
				return false;
			}
		// All characters are blank
		return true;
	}
//---------------------
	function checkSubmit()
	{
	   if (isEmpty(document.feedback.topicname.value))
	   {
	      alert("Please type or copy and paste the name of the topic");
	      document.feedback.topicname.focus();
	      return false
	   }

	   if (isEmpty(document.feedback.yourname.value))
	  {
	      alert("Please type your name")
	      document.feedback.yourname.focus()
	      return false
	   }
	   return true
		 
	   if (isEmpty(document.feedback.comment.value))
	  {
	      alert("Please type a comment")
	      document.feedback.comment.focus()
	      return false
	   }
	   return true		 
	}

	

